SKU's / Artikelen
Beheer artikelstamgegevens (Stock Keeping Units). SKU's zijn de basis voor orders, preadviezen en voorraadbeheer.
Endpoints
| Methode | Pad | Beschrijving |
|---|---|---|
GET | /skus | Alle artikelen ophalen |
GET | /skus/:id | Specifiek artikel ophalen |
PUT | /skus/:id | Artikel bijwerken |
GET | /skugroups | Alle artikelgroepen ophalen |
POST | /skugroups | Artikelgroep aanmaken |
GET | /skugroups/:id | Specifieke artikelgroep ophalen |
PUT | /skugroups/:id | Artikelgroep bijwerken |
DELETE | /skugroups/:id | Artikelgroep verwijderen |
GET | /pickmethods | Alle pickmethoden ophalen |
Alle artikelen ophalen
GET /skus
Response 200 OK
[
{
"sku_id": "SKU-001",
"client_id": "CLIENT01",
"description": "Widget A",
"ean": "8712345678901",
"sku_group_description": "Elektronica",
"expiry_sku": false,
"expiry_days": null
}
]
Specifiek artikel ophalen
GET /skus/:id
Response 200 OK
{
"sku_id": "SKU-001",
"client_id": "CLIENT01",
"description": "Widget A",
"ean": "8712345678901",
"sku_group": "SG-001",
"expiry_sku": false,
"expiry_days": null,
"obsolete": false,
"new": false,
"each_width": 10.5,
"each_height": 5.0,
"each_depth": 3.0,
"each_weight": 0.5,
"each_volume": 157.5,
"each_value": 25.99,
"preferred_putaway_location": null,
"qty_on_full_pallet": 100,
"default_receipt_quantity": 10,
"pick_method": 1
}
| Veld | Type | Beschrijving |
|---|---|---|
sku_id | string | Uniek artikel-ID |
client_id | string | Client ID (fulfillment) |
description | string | Omschrijving |
ean | string | EAN/barcode |
sku_group | string | SKU groep ID |
expiry_sku | boolean | Of het artikel een vervaldatum heeft |
expiry_days | number | Standaard houdbaarheid in dagen |
obsolete | boolean | Verouderd artikel |
new | boolean | Nieuw artikel |
each_width | number | Breedte per stuk (cm) |
each_height | number | Hoogte per stuk (cm) |
each_depth | number | Diepte per stuk (cm) |
each_weight | number | Gewicht per stuk (kg) |
each_volume | number | Volume per stuk (cm³) |
each_value | number | Waarde per stuk (€) |
preferred_putaway_location | string | Voorkeurslocatie voor opslag |
qty_on_full_pallet | number | Aantal op een volle pallet |
default_receipt_quantity | number | Standaard ontvangstantal |
pick_method | number | Pickmethode (1=per qty, 2=per each) |
Artikel bijwerken
PUT /skus/:id
Request
{
"sku_id": "SKU-001",
"description": "Widget A (v2)",
"ean": "8712345678901",
"sku_group": "SG-001",
"expiry_sku": false,
"each_height": 5.5,
"each_width": 11.0,
"each_depth": 3.5,
"each_weight": 0.55,
"each_volume": 211.75,
"each_value": 29.99,
"preferred_putaway_location": "LOC-A01",
"qty_on_full_pallet": 120,
"default_receipt_quantity": 12,
"expiry_days": null,
"pick_method": 1,
"obsolete": false,
"new": false
}
Response 204 No Content
Artikelgroepen
Alle artikelgroepen ophalen
GET /skugroups
Response 200 OK
[
{
"sku_group_id": "SG-001",
"description": "Elektronica",
"client_id": "CLIENT01"
}
]
Artikelgroep aanmaken
POST /skugroups
{
"description": "Elektronica",
"client_id": "CLIENT01"
}
Automatisch ID
Het sku_group_id wordt automatisch gegenereerd.
Response 204 No Content
Artikelgroep bijwerken
PUT /skugroups/:id
{
"sku_group_id": "SG-001",
"description": "Elektronica (bijgewerkt)",
"client_id": "CLIENT01"
}
Response 204 No Content
Artikelgroep verwijderen
DELETE /skugroups/:id